<?php
require_once(dirname(__FILE__)."/../inc/common.php");
require_once(dirname(__FILE__)."/function.cron.php");
/*******************************************************************************************
' Software name: DJCMS Content Management System
' Version:3.0
' Web: http://www.djcms.net
' Author: 心情(qq:1130731)
' Copyright (C) 2009-2010 DJCMS官方 版权所有
' 法律申明：DJCMS程序所有代码100%原创、未引入任何网上代码,对一切抄袭行为、坚决严肃追究法律责任
'*******************************************************************************************/

//计划任务
$QFile="lock/queue.config";
function QueueRead($QFile){
	$Q=loadFile($QFile);
	if (strlen($Q)<5){
		delFile($QFile);
	} else {
		$Q = explode('\n',$Q);$l = count($Q);
		$QueueRead = $Q[$l];$l=$l-1;
		if ($l>-1){
			createTextFile(implode('\n',$Q),$QFile);
		}else{
			delFile($QFile);
		}
	}
}

if (isExistFile($QFile)){
	rinclude(QueueRead($QFile));
} else {
	$CronNextRunTime=loadFile("lock/cronnextrun.config");
	if ($CronNextRunTime>0 && $CronNextRunTime <= $timestamp){
		runcron();
	}
}
die();
?>